> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get uptime data



## OpenAPI

````yaml /openapi.json get /dashboard/uptime
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /dashboard/uptime:
    get:
      tags:
        - Dashboard
      summary: Get uptime data
      operationId: DashboardController_getUptimeData
      parameters:
        - name: monitorId
          required: false
          in: query
          schema:
            type: string
        - name: startDate
          required: false
          in: query
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          schema:
            type: string
        - name: projectId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Returns the uptime data.
          content:
            application/json:
              schema:
                type: array
                items: f9030950-cb4e-4cf4-b9f3-a6f216026256
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````